package com.keyborad.theme.trendyborad.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "15DEDAAB580016A6FEA0F5A5DF85E712"
        const val TOP_ON_AD_TOW = "739DD8E223572D6D65CC4EC1DE1CDC12"
        const val TOP_ON_AD_THREE = "0D27FE8F7CB7A19D82235897A01DF112"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}